Bug 170952 - xinitrc places a file under /usr/X11R6
xinitrc places a file under /usr/X11R6
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xinitrc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
:
Depends On:
Blocks: X11R6-MIGRATE
  Show dependency treegraph
 
Reported: 2005-10-15 23:27 EDT by Ignacio Vazquez-Abrams
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-14 18:01:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Mike A. Harris 2005-11-13 04:37:55 EST
Thanks for the report.  I just reviewed xinitrc, and this is the culprit:

# FIXME: This should move to /usr/bin sometime, with a backward compatible
# symlink added back just prior to release, to help people to fix things to
# use /usr/bin instead.  Then keep the symlink for a release or so.  When
# this changes, X11BINDIR in the Makefile needs to be updated also.
/usr/X11R6/bin/RunWM

RunWM is an archaic script that I don't think anything actually uses anymore.
I left it around, just in case, however I think it is safe to kill it now.

The xorg-x11-xinit package obsoletes 'xinitrc' in the modular tree, and does
not contain the RunWM script.  I've moved all of xinitrc into the new
package, and also updated all paths pointing to X11R6 in the scripts
themselves.

I think we're good to go for this one, even though current rawhide xinitrc
still has the RunWM script, but that's ok.

I'll leave this one open until we push modular X into rawhide.
Comment 2 Jeremy Katz 2005-11-14 18:01:03 EST
xinitrc is gone in the modular X staging tree

Note You need to log in before you can comment on or make changes to this bug.